Bug 137636

Summary: update port: sysutils/xfce4-power-manager-0.8.2
Product: Ports & Packages Reporter: J.R. Oldroyd <fbsd>
Component: Individual Port(s)Assignee: Boris Samorodov <bsam>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description J.R. Oldroyd 2009-08-10 12:30:04 UTC
update port: sysutils/xfce4-power-manager-0.8.2
Comment 1 Boris Samorodov freebsd_committer 2009-08-10 12:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 2 Boris B.Samorodov 2009-08-10 14:19:27 UTC
Hi! I propose to replace all dirrm to dirrmtry at the pkg-plist file.
Without that change I get some warnings at my tinderbox:
-----
...
====================<phase 7: make package>====================
===>  Building package for xfce4-power-manager-0.8.2
Creating package /tmp/packages/All/xfce4-power-manager-0.8.2.tbz
Registering depends: xfce4-panel-4.6.1_1 libwnck-2.26.2_1 libexo-0.3.101_1 libnotify-0.4.5_1 libxfce4gui-4.6.1_1 libglade2-2.6.4_1 xfce4-conf-4.6.1_1 gtk-2.16.5_1 atk-1.26.0 gmake-3.81_3 shared-mime-info-0.60_1 pango-1.24.5 hal-0.5.11_25 consolekit-0.3.0_8 policykit-0.9_4 dbus-glib-0.82 libxfce4util-4.6.1 gio-fam-backend-2.20.4 gamin-0.1.10_3 glib-2.20.4 gettext-0.17_1 intltool-0.40.6 dbus-1.2.4.6 libxml2-2.7.3 libiconv-1.13.1 cairo-1.8.8,1 startup-notification-0.10 xcb-util-0.3.5 libXdamage-1.1.1 libXcurs or-1.1.9_1 libXcomposite-0.4.0,1 libXfixes-4.0.3_1 libXft-2.1.13 libXrandr-1.3.0 libXrender-0.9.4_1 libXi-1.2.1,1 libXinerama-1.0.3,1 libXres-1.0.3_3 libXext-1.0.5,1 libX11-1.2.1_1,1 libxcb-1.4 libpthread-stubs-0.1 libvolume_id-0.81.1 pcre-7.9 xorg-fonts-truetype-7.4 bitstream-vera-1.10_4 font-bh-ttf-1.0.0 font-misc-meltho-1.0.0_1 font-misc-ethiopic-1.0.0 fontconfig-2.6.0,1 mkfontdir-1.0.4 mkfontscale-1.0.6 freetype2-2.3.9_1 pixman-0.15.4 libfontenc-1.0.4 libXau-1.0.4 libXdm
 cp-1.0.2_1 libSM-1.1.0_1,1 libICE-1.0.4_1,1 xproto-7.0.15 pkg-config-0.23_1 jasper-1.900.1_8 tiff-3.8.2_4 jpeg-7 png-1.2.38 p5-XML-Parser-2.36_1 p5-URI-1.38 perl-5.8.9_3 xcb-proto-1.5 python26-2.6.2_1 hicolor-icon-theme-0.10_2 pciids-20090807 dmidecode-2.10 gnome_subr-1.0 expat-2.0.1 xmlcatmgr-2.2 encodings-1.0.2,1 font-util-1.0.1 compositeproto-0.4 damageproto-1.1.0_2 fixesproto-4.0 inputproto-1.5.0 kbproto-1.0.3 randrproto-1.3.0 renderproto-0.9.3 xextproto-7.0.5 xineramaproto-1.1.2.
Creating bzip'd tar ball in '/tmp/packages/All/xfce4-power-manager-0.8.2.tbz'
Deleting xfce4-power-manager-0.8.2
pkg_delete: unable to completely remove directory '/usr/local/share/xfce4/panel-plugins'
pkg_delete: unable to completely remove directory '/usr/local/share/xfce4/doc/C/images'
pkg_delete: unable to completely remove directory '/usr/local/share/xfce4/doc/C'
pkg_delete: unable to completely remove directory '/usr/local/share/xfce4/doc'
pkg_delete: unable to completely remove directory '/usr/local/share/xfce4'
pkg_delete: unable to completely remove directory '/usr/local/etc/xdg'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
...
-----

The general rule is to use dirrmtry for those directories which may be
used by other ports. Which seems to be the case here.

Here is the patch:
-----
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/sysutils/xfce4-power-manager/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist   22 Jun 2009 12:55:36 -0000      1.1
+++ pkg-plist   10 Aug 2009 13:11:27 -0000
@@ -79,17 +79,17 @@
 share/xfce4/doc/C/images/xfpm-general-settings.png
 share/xfce4/doc/C/xfce4-power-manager.html
 share/xfce4/panel-plugins/xfce4-brightness-plugin.desktop
-@dirrm share/xfce4/panel-plugins
-@dirrm share/xfce4/doc/C/images
-@dirrm share/xfce4/doc/C
-@dirrm share/xfce4/doc
-@dirrm share/xfce4
+@dirrmtry share/xfce4/panel-plugins
+@dirrmtry share/xfce4/doc/C/images
+@dirrmtry share/xfce4/doc/C
+@dirrmtry share/xfce4/doc
+@dirrmtry share/xfce4
 @dirrmtry share/locale/ur_PK/LC_MESSAGES
 @dirrmtry share/locale/ur_PK
 @dirrmtry share/locale/ur/LC_MESSAGES
 @dirrmtry share/locale/ur
 @dirrmtry share/applications
-@dirrm libexec/xfce4/panel-plugins
-@dirrm libexec/xfce4
-@dirrm etc/xdg/autostart
-@dirrm etc/xdg
+@dirrmtry libexec/xfce4/panel-plugins
+@dirrmtry libexec/xfce4
+@dirrmtry etc/xdg/autostart
+@dirrmtry etc/xdg
-----

I'm not sure about etc/xdg/autostart (since the tinderbox didn't
complain about it) but according to the directory name it's not
dedicated to sysutils/xfce4-power-manager. You should know better
though.

Thanks!

-- 
WBR, bsam
Comment 3 Boris Samorodov freebsd_committer 2009-08-10 14:30:47 UTC
State Changed
From-To: open->feedback

Awaiting for a feedback.
Comment 4 dfilter service freebsd_committer 2009-08-10 16:49:19 UTC
bsam        2009-08-10 15:49:05 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/xfce4-power-manager Makefile distinfo pkg-descr 
                                 pkg-plist 
  Log:
  . update to version 0.8.2;  [1]
  . use dirrmtry for shared directories at pkg-plist.  [2]
  
  PR:             ports/137636  [1]
  Submitted by:   "J.R. Oldroyd" <fbsd at opal.com> (maintainer)  [1]
  Approved by:    maintainer (by e-mail)  [2]
  
  Revision  Changes    Path
  1.3       +1 -3      ports/sysutils/xfce4-power-manager/Makefile
  1.2       +3 -3      ports/sysutils/xfce4-power-manager/distinfo
  1.2       +2 -2      ports/sysutils/xfce4-power-manager/pkg-descr
  1.2       +9 -9      ports/sysutils/xfce4-power-manager/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Boris Samorodov freebsd_committer 2009-08-10 16:49:23 UTC
State Changed
From-To: feedback->closed

Committed, thanks!